%define         Werror_cflags   %nil

%define         oname           wxSVG

%define         major           3
%define         libname         %mklibname %{name} %{major}
%define         develname       %mklibname %{name} %{major} -d

Name:           wxsvg
Summary:        A library to create, manipulate and render SVG files
Summary(de):	Eine Bibliothek zum erstellen, bearbeiten und ausgeben von SVG Dateien
Version:        1.5.5
Release:        %mkrel 1
License:        GPLv2
Group:          System/Libraries
URL:            http://wxsvg.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/wxsvg-%{version}.tar.xz
#--------------------------------------
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}expat1-devel
BuildRequires: %{_lib}ffmpeg-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}wxgtku3.0-devel
BuildRequires: libart_lgpl-devel
#--------------------------------------
BuildConflicts:	%{_lib}wxgtku2.8-devel


%description
wxSVG is a C++ library to create, manipulate and render SVG files.


%description -l de
wxSVG ist eine Bibliothek in C++ zum erstellen, bearbeiten und 
ausgeben von SVG Dateien. 


%package -n     %{libname}
Summary:        Shared libraries for %{oname}
Summary(de):	Dynamische Bibliotheken von %name
Group:          System/Libraries
Obsoletes: 	%{_lib}wxsvg1

%description -n %{libname}
wxSVG is a C++ library to create, manipulate and render SVG
files. This package contains the shared libraries.

%description -l de -n %{libname}
Dynamische Bibliotheken von %name

%package -n     %{develname}
Summary:        Development files and headers for %{oname}
Summary(de):	Header Dateien und statische Bibliotheken von %name
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Conflicts:	%{_lib}wxsvg-devel

%description -n %{develname}
Libraries and includes files for developing programs based on %{oname}.

%description -l de -n %{develname}
Header Dateien und statische Bibliotheken von %name

%prep
%setup -qn wxsvg-%{version}


%build
export CXXFLAGS="%{optflags} -lswscale"

./autogen.sh
%configure2_5x \
    --disable-dependency-tracking \
    --disable-static
%{__sed} -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
%{__sed} -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make


%install
rm -rf %buildroot
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

rm -f %buildroot/%{_bindir}/svgview

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib%{name}.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/%{oname}*
%{_libdir}/pkgconfig/lib%{name}.pc
%{_libdir}/lib%{name}.so


%changelog
* Fri Oct 16 2015 bb <bb> 1.5.5-1pclos2015
- update

* Sat Aug 08 2015 bb <bb> 1.5.4-1pclos2015
- create package
